import request from "@/utils/request";
import Vue from "vue";

// 新增发行人
export function addpublish(data) {
  return request({
    url: "/system/issuer",
    method: "post",
    data,
  });
}

// 获取列表
export function publishList(params) {
  return request({
    url: "/system/issuer/list",
    params,
  });
}

// 根据发行人编号 
export function searchPublish(id) {
  return request({
    url: "/system/issuer/" + id,
  });
}

// 上传文件
export function upload(file) {
  return request({
    url: "/file/upload",
    method: "post",
    data: file,
  });
}

// 删除消息
export function deletePublish(id) {
  return request({
    url: "system/issuer/" + id,
    method: "delete",
  });
}

// 修改发行人
export function updatapub(data) {
  return request({
    url: '/system/issuer/',
    method: 'put',
    data });
}

export function selectpublish(params){
  console.log(params);
  return request({
    url: "/system/issuer/query/",
    params
  });
}